petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscBagDestroy

Destroys a bag values

### Synopsis

    #include "petscbag.h"
    PetscErrorCode  PetscBagDestroy(PetscBag *bag)

Collective on PetscBag

### Input Parameter

bag -the bag of values

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName(), PetscBagRegisterEnum()

### Level

beginner

### Location

src/sys/classes/bag/bag.c

### Examples

src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/dm/examples/tutorials/ex7.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages